Mandriva Linux Security Advisory : php-ZendFramework (MDVSA-2014:145)

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A vulnerability has been found and corrected in php-ZendFramework :

The implementation of the ORDER BY SQL statement in Zend_Db_Select of
Zend Framework 1 contains a potential SQL injection when the query
string passed contains parentheses (CVE-2014-4914).

The updated packages have been upgraded to the latest ZendFramework
(1.12.7) version which is not vulnerable to this issue.

See also :

http://framework.zend.com/security/advisory/ZF2014-04

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 76952 ()

Bugtraq ID: 68031

CVE ID: CVE-2014-4914

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now